<?php

	############################################################################
	#
	#	Meteotemplate
	# 	http://www.meteotemplate.com
	# 	Free website template for weather enthusiasts
	# 	Author: Jachym
	#           Brno, Czech Republic
	# 	First release: 2015
	#
	############################################################################
	#
	#	Day of the week statistics
	#
	# 	Plugin description
	#
	############################################################################
	#	Version and change log
	#
	# 	v1.0 	2016-05-02
	#		- initial release
	#	v2.0	2016-12-11
	#		- added colors to the table
	#		- added tooltips
	#		- combined wind speed/gust and temperatrue/apparent temperature
	#		graphs
	#		- fixed units formatting
	#		- CSS tweaks
	#
	############################################################################

	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");

	$weekDaysMon = array(lang('monday','c'),lang('tuesday','c'),lang('wednesday','c'),lang('thursday','c'),lang('friday','c'),lang('saturday','c'),lang('sunday','c'));
	$weekDaysSun = array(lang('sunday','c'),lang('monday','c'),lang('tuesday','c'),lang('wednesday','c'),lang('thursday','c'),lang('friday','c'),lang('saturday','c'));

	if($firstWeekday==1){
		$plotBands = array(4.5,5.5,5.5,6.5);
		$result = mysqli_query($con,"
			SELECT avg(T), avg(H), avg(P), avg(W), avg(G), avg(S), avg(D), avg(A), WEEKDAY(DateTime), count(T)
			FROM alldata
			GROUP BY WEEKDAY(DateTime)
			"
		);
		while($row = mysqli_fetch_array($result)){
			$Ts[$row['WEEKDAY(DateTime)']] = convertT($row['avg(T)']);
			$Hs[$row['WEEKDAY(DateTime)']] = ($row['avg(H)']);
			$Ps[$row['WEEKDAY(DateTime)']] = convertP($row['avg(P)']);
			$Ws[$row['WEEKDAY(DateTime)']] = convertW($row['avg(W)']);
			$Gs[$row['WEEKDAY(DateTime)']] = convertW($row['avg(G)']);
			$Ds[$row['WEEKDAY(DateTime)']] = convertT($row['avg(D)']);
			$As[$row['WEEKDAY(DateTime)']] = convertT($row['avg(A)']);
			$Ss[$row['WEEKDAY(DateTime)']] = ($row['avg(S)']);

			$n[$row['WEEKDAY(DateTime)']] = ($row['count(T)']);
		}
		$result = mysqli_query($con,
			"
			SELECT AVG(DailyRain), WEEKDAY(DateTime)
			FROM (
				SELECT DATETIME, MAX(R) AS DailyRain, WEEKDAY(DateTime)
				FROM alldata
				GROUP BY YEAR(DATETIME), MONTH(DATETIME), DAY(DATETIME)
				ORDER BY DATETIME
			) AS DailyMaxTable
			GROUP BY WEEKDAY(DateTime)
			"
		);
		while($row = mysqli_fetch_array($result)){
			$Rs[$row['WEEKDAY(DateTime)']] = convertR($row['AVG(DailyRain)']);
		}
	}
	else{
		$plotBands = array(-0.5,0.5,5.5,6.5);
		$result = mysqli_query($con,"
			SELECT avg(T), avg(H), avg(P), avg(W), avg(G), avg(S), avg(D), avg(A), DAYOFWEEK (DateTime), count(T)
			FROM alldata
			GROUP BY DAYOFWEEK(DateTime)
			"
		);
		while($row = mysqli_fetch_array($result)){
			$Ts[$row['DAYOFWEEK (DateTime)']-1] = convertT($row['avg(T)']);
			$Hs[$row['DAYOFWEEK (DateTime)']-1] = ($row['avg(H)']);
			$Ps[$row['DAYOFWEEK (DateTime)']-1] = convertP($row['avg(P)']);
			$Ws[$row['DAYOFWEEK (DateTime)']-1] = convertW($row['avg(W)']);
			$Gs[$row['DAYOFWEEK (DateTime)']-1] = convertW($row['avg(G)']);
			$Ds[$row['DAYOFWEEK (DateTime)']-1] = convertT($row['avg(D)']);
			$As[$row['DAYOFWEEK (DateTime)']-1] = convertT($row['avg(A)']);
			$Ss[$row['DAYOFWEEK (DateTime)']-1] = ($row['avg(S)']);

			$n[$row['DAYOFWEEK (DateTime)']] = ($row['count(T)']);
		}
		$result = mysqli_query($con,
			"
			SELECT AVG(DailyRain), DAYOFWEEK(DateTime)
			FROM (
				SELECT DATETIME, MAX(R) AS DailyRain, DAYOFWEEK (DateTime)
				FROM alldata
				GROUP BY YEAR(DATETIME), MONTH(DATETIME), DAY(DATETIME)
				ORDER BY DATETIME
			) AS DailyMaxTable
			GROUP BY DAYOFWEEK (DateTime)
			"
		);
		while($row = mysqli_fetch_array($result)){
			$Rs[$row['DAYOFWEEK(DateTime)']-1] = convertR($row['AVG(DailyRain)']);
		}
	}

	$avgT = array_sum($Ts)/count($Ts);
	$avgH = array_sum($Hs)/count($Hs);
	$avgA = array_sum($As)/count($As);
	$avgD = array_sum($Ds)/count($Ds);
	$avgP = array_sum($Ps)/count($Ps);
	$avgW = array_sum($Ws)/count($Ws);
	$avgG = array_sum($Gs)/count($Gs);
	$avgR = array_sum($Rs)/count($Rs);
	$avgS = array_sum($Ss)/count($Ss);


	if($displayPressUnits=="hpa"){
		$displayPressUnits = "hPa";
	}
	if($displayPressUnits=="inhg"){
		$displayPressUnits = "inHg";
	}
	if($displayWindUnits=="kmh"){
		$displayWindUnits = "km/h";
	}
	if($displayWindUnits=="ms"){
		$displayWindUnits = "m/s";
	}

	// table cell colors
	for($i=0;$i<7;$i++){
		$colorsT[] = fill($Ts[$i],array((min($Ts)-0.001),(max($Ts)+0.001)),array("#0e00b1", "#f00000"));
		$colorsA[] = fill($As[$i],array((min($As)-0.001),(max($As)+0.001)),array("#0e00b1", "#f00000"));
		$colorsD[] = fill($Ds[$i],array((min($Ds)-0.001),(max($Ds)+0.001)),array("#0e00b1", "#f00000"));
		$colorsH[] = fill($Hs[$i],array((min($Hs)-0.001),(max($Hs)+0.001)),array("#a16f00", "#007e18"));
		$colorsP[] = fill($Ps[$i],array((min($Ps)-0.001),(max($Ps)+0.001)),array("#cf9500", "#7c007a"));
		$colorsW[] = fill($Ws[$i],array((min($Ws)-0.001),(max($Ws)+0.001)),array("#8c8c8c", "#5b006a"));
		$colorsG[] = fill($Gs[$i],array((min($Gs)-0.001),(max($Gs)+0.001)),array("#8c8c8c", "#5b006a"));
		$colorsR[] = fill($Rs[$i],array((min($Rs)-0.001),(max($Rs)+0.001)),array("#8c8c8c", "#0a00cb"));
		$colorsS[] = fill($Ss[$i],array((min($Ss)-0.001),(max($Ss)+0.001)),array("#8c8c8c", "#9da100"));
	}
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $pageName?></title>
		<?php metaHeader()?>
		<script type="text/javascript" src="<?php echo $pageURL.$path?>scripts/highcharts.js"></script>
		<script type="text/javascript" src="<?php echo $pageURL.$path?>scripts/highcharts-more.js"></script>
		<script type="text/javascript" src="<?php echo $pageURL.$path?>scripts/exporting.js"></script>
		<script type="text/javascript" src="<?php echo $pageURL.$path?>scripts/jquery.tablesorter.js"></script>
		<style>
			.weekdayIcon{
				width: 100%;
				max-width: 25px;
			}
			.sort{
				width: 15px;
				cursor: pointer;
				opacity: 0.8;
			}
			.sort:hover{
				opacity: 1;
			}
			.graphDiv{
				width: 98%;
				margin: 0 auto;
				height: 350px;
				margin-bottom: 20px;
			}
			tfoot td{
				background:#<?php echo $color_schemes[$design2]['900']?>;
				font-weight:bold;
			}
		</style>
	</head>
	<body>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php");?>
		</div>
		<div id="main" style="text-align:center">
			<h1><?php echo lang('week days','c')?></h1>
			<table class="table" style="width:98%;margin:0 auto;table-layout:fixed">
				<thead>
					<tr>
						<th>
						</th>
						<th>
							<img src="<?php echo $pageURL.$path?>icons/temp.png" class="weekdayIcon tooltip" title="<?php echo lang("temperature","c")?>"><br> <?php echo unitFormatter($displayTempUnits)?><br><img src="<?php echo $pageURL.$path?>icons/sort.png" class="sort" alt=''>
						</th>
						<th>
							<img src="<?php echo $pageURL.$path?>icons/humidity.png" class="weekdayIcon tooltip" title="<?php echo lang("humidity","c")?>"><br>%<br><img src="<?php echo $pageURL.$path?>icons/sort.png" class="sort" alt=''>
						</th>
						<th>
							<img src="<?php echo $pageURL.$path?>icons/pressure.png" class="weekdayIcon tooltip" title="<?php echo lang("pressure","c")?>"><br> <?php echo unitFormatter($displayPressUnits)?><br><img src="<?php echo $pageURL.$path?>icons/sort.png" class="sort" alt=''>
						</th>
						<th>
							<img src="<?php echo $pageURL.$path?>icons/wind.png" class="weekdayIcon tooltip" title="<?php echo lang("wind speed","c")?>"><br> <?php echo unitFormatter($displayWindUnits)?><br><img src="<?php echo $pageURL.$path?>icons/sort.png" class="sort" alt=''>
						</th>
						<th>
							<img src="<?php echo $pageURL.$path?>icons/gust.png" class="weekdayIcon tooltip" title="<?php echo lang("wind gust","c")?>"><br> <?php echo unitFormatter($displayWindUnits)?><br><img src="<?php echo $pageURL.$path?>icons/sort.png" class="sort" alt=''>
						</th>
						<th>
							<img src="<?php echo $pageURL.$path?>icons/dewpoint.png" class="weekdayIcon tooltip" title="<?php echo lang("dew point","c")?>"><br> <?php echo unitFormatter($displayTempUnits)?><br><img src="<?php echo $pageURL.$path?>icons/sort.png" class="sort" alt=''>
						</th>
						<th>
							<img src="<?php echo $pageURL.$path?>icons/apparent.png" class="weekdayIcon tooltip" title="<?php echo lang("apparent temperature","c")?>"><br> <?php echo unitFormatter($displayTempUnits)?><br><img src="<?php echo $pageURL.$path?>icons/sort.png" class="sort" alt=''>
						</th>
						<th>
							<img src="<?php echo $pageURL.$path?>icons/rain.png" class="weekdayIcon tooltip" title="<?php echo lang("precipitation","c")?>"><br> <?php echo unitFormatter($displayRainUnits)?><br><img src="<?php echo $pageURL.$path?>icons/sort.png" class="sort" alt=''>
						</th>
						<?php
							if($solarSensor){
						?>
								<th>
									<img src="<?php echo $pageURL.$path?>icons/sun.png" class="weekdayIcon tooltip" title="<?php echo lang("solar radiation","c")?>"><br> W/m2<br><img src="<?php echo $pageURL.$path?>icons/sort.png" class="sort" alt=''>
								</th>
						<?php
							}
						?>
					</tr>
				</thead>
				<tbody>
					<?php
						for($i=0;$i<7;$i++){
					?>
						<tr>
							<td>
								<?php
									if($firstWeekday==1){
										echo $weekDaysMon[$i];
									}
									else{
										echo $weekDaysSun[$i];
									}
								?>
							</td>
							<td style="background:<?php echo $colorsT[$i]?>">
								<?php echo number_format($Ts[$i],3)?>
							</td>
							<td style="background:<?php echo $colorsH[$i]?>">
								<?php echo number_format($Hs[$i],3)?>
							</td>
							<td style="background:<?php echo $colorsP[$i]?>">
								<?php echo number_format($Ps[$i],3,".","")?>
							</td>
							<td style="background:<?php echo $colorsW[$i]?>">
								<?php echo number_format($Ws[$i],3)?>
							</td>
							<td style="background:<?php echo $colorsG[$i]?>">
								<?php echo number_format($Gs[$i],3)?>
							</td>
							<td style="background:<?php echo $colorsD[$i]?>">
								<?php echo number_format($Ds[$i],3)?>
							</td>
							<td style="background:<?php echo $colorsA[$i]?>">
								<?php echo number_format($As[$i],3)?>
							</td>
							<td style="background:<?php echo $colorsR[$i]?>">
								<?php echo number_format($Rs[$i],3)?>
							</td>
							<?php
								if($solarSensor){
							?>
									<td style="background:<?php echo $colorsS[$i]?>">
										<?php echo number_format($Ss[$i],3)?>
									</td>
							<?php
								}
							?>
						</tr>
					<?php
						}
					?>
				</tbody>
				<tfoot>
					<tr>
						<td>
							<?php echo lang('average','c')?>
						</td>
						<td>
							<?php echo number_format($avgT,3)?>
						</td>
						<td>
							<?php echo number_format($avgH,3)?>
						</td>
						<td>
							<?php echo number_format($avgP,3,".","")?>
						</td>
						<td>
							<?php echo number_format($avgW,3)?>
						</td>
						<td>
							<?php echo number_format($avgG,3)?>
						</td>
						<td>
							<?php echo number_format($avgD,3)?>
						</td>
						<td>
							<?php echo number_format($avgA,3)?>
						</td>
						<td>
							<?php echo number_format($avgR,3)?>
						</td>
						<?php
							if($solarSensor){
						?>
								<td>
									<?php echo number_format($avgS,3)?>
								</td>
						<?php
							}
						?>
					</tr>
				</tfoot>
			</table>
			<br><br>
			<div id="TGraph" class="graphDiv"></div>
			<div id="HGraph" class="graphDiv"></div>
			<div id="PGraph" class="graphDiv"></div>
			<div id="WGraph" class="graphDiv"></div>
			<div id="DGraph" class="graphDiv"></div>
			<div id="RGraph" class="graphDiv"></div>
			<?php
				if($solarSensor){
			?>
					<div id="SGraph" class="graphDiv"></div>
			<?php
				}
			?>
			<br>
		</div>
		<?php include($baseURL."footer.php");?>
		<?php include("../../css/highcharts.php");?>
		<script>
			$(function () {
				$(".table").tablesorter();
				$('#TGraph').highcharts({
					chart: {
						type: 'spline',
					},
					title: {
						text: '<?php echo lang('temperature','c');?>',
					},
					xAxis: {
						categories: [
							<?php
								if($firstWeekday==1){
									for($i=0;$i<count($weekDaysMon);$i++){
										echo "'".$weekDaysMon[$i]."',";
									}
								}
								if($firstWeekday==0){
									for($i=0;$i<count($weekDaysSun);$i++){
										echo "'".$weekDaysSun[$i]."',";
									}
								}
							?>
						],
						title: {
							text: null
						},
						plotBands: [
							{
								from: <?php echo $plotBands[0];?>,
								to: <?php echo $plotBands[1];?>,
								color: '<?php
											$hex = "#".$color_schemes[$design2]['700'];
											list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
											echo "rgba($r,$g,$b,0.5)";
										?>',
								label: {
									useHTML: true,
									textAlign: 'center',
									text: "<?php
											if($firstWeekday==1){
												echo lang('saturdayAbbr','c');
											}
											else{
												echo lang('sundayAbbr','c');
											}
										?>"
								},
							},
							{
								from: <?php echo $plotBands[2]?>,
								to: <?php echo $plotBands[3]?>,
								color: '<?php
											$hex = "#".$color_schemes[$design2]['900'];
											list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
											echo "rgba($r,$g,$b,0.5)";
										?>',
								label: {
									useHTML: true,
									textAlign: 'center',
									text: "<?php
											if($firstWeekday==1){
												echo lang('sundayAbbr','c');
											}
											else{
												echo lang('saturdayAbbr','c');
											}
										?>"
								},
							}
						]
					},
					yAxis: {
						title: {
							text: '<?php echo lang('temperature','c')?>',
							format: '{value} <?php echo $displayTempUnits?>'
						},
						labels: {
							format: '{value} °<?php echo $displayTempUnits?>'
						},
					},
					tooltip: {
						valueSuffix: ' °<?php echo $displayTempUnits?>',
						shared: true
					},
					legend:{
						enabled: true
					},
					series: [
						{
							name: '<?php echo lang('temperature','c')?>',
							color: '#fff',
							data: [
								<?php
									for($a=0;$a<count($Ts);$a++){
										if(isset($Ts[$a])){
											echo number_format($Ts[$a],3).",";
										}
										else{
											echo "null,";
										}
									}
								?>
							]
						},
						{
							name: '<?php echo lang('apparent temperature','c')?>',
							color: '#<?php echo $color_schemes[$design2]['100']?>',
							dashStyle: 'dash',
							data: [
								<?php
									for($a=0;$a<count($As);$a++){
										if(isset($As[$a])){
											echo number_format($As[$a],3).",";
										}
										else{
											echo "null,";
										}
									}
								?>
							]
						}
					]
				});
				$('#HGraph').highcharts({
					chart: {
						type: 'spline',
					},
					title: {
						text: '<?php echo lang('humidity','c')?>',
					},
					xAxis: {
						categories: [
							<?php
								if($firstWeekday==1){
									for($i=0;$i<count($weekDaysMon);$i++){
										echo "'".$weekDaysMon[$i]."',";
									}
								}
								if($firstWeekday==0){
									for($i=0;$i<count($weekDaysSun);$i++){
										echo "'".$weekDaysSun[$i]."',";
									}
								}
							?>
						],
						title: {
							text: null
						},
						plotBands: [
							{
								from: <?php echo $plotBands[0]?>,
								to: <?php echo $plotBands[1]?>,
								color: '<?php
											$hex = "#".$color_schemes[$design2]['700'];
											list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
											echo "rgba($r,$g,$b,0.5)";
										?>',
								label: {
									useHTML: true,
									textAlign: 'center',
									text: "<?php
											if($firstWeekday==1){
												echo lang('saturdayAbbr','c');
											}
											else{
												echo lang('sundayAbbr','c');
											}
										?>"
								},
							},
							{
								from: <?php echo $plotBands[2]?>,
								to: <?php echo $plotBands[3]?>,
								color: '<?php
											$hex = "#".$color_schemes[$design2]['900'];
											list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
											echo "rgba($r,$g,$b,0.5)";
										?>',
								label: {
									useHTML: true,
									textAlign: 'center',
									text: "<?php
											if($firstWeekday==1){
												echo lang('sundayAbbr','c');
											}
											else{
												echo lang('saturdayAbbr','c');
											}
										?>"
								},
							}
						]
					},
					yAxis: {
						title: {
							text: '<?php echo lang('humidity','c')?>',
							format: '{value} <?php echo $displayTempUnits?>'
						},
						labels: {
							format: '{value} %'
						},
					},
					tooltip: {
						valueSuffix: ' %',
						shared: true
					},
					legend:{ enabled:false},
					series: [
						{
							name: '<?php echo lang('humidity','c')?>',
							color: '#fff',
							data: [
								<?php
									for($a=0;$a<count($Hs);$a++){
										if(isset($Hs[$a])){
											echo number_format($Hs[$a],3).",";
										}
										else{
											echo "null,";
										}
									}
								?>
							]
						},

					]
				});
				$('#PGraph').highcharts({
					chart: {
						type: 'spline',
					},
					title: {
						text: '<?php echo lang('pressure','c')?>',
					},
					xAxis: {
						categories: [
							<?php
								if($firstWeekday==1){
									for($i=0;$i<count($weekDaysMon);$i++){
										echo "'".$weekDaysMon[$i]."',";
									}
								}
								if($firstWeekday==0){
									for($i=0;$i<count($weekDaysSun);$i++){
										echo "'".$weekDaysSun[$i]."',";
									}
								}
							?>
						],
						title: {
							text: null
						},
						plotBands: [
							{
								from: <?php echo $plotBands[0]?>,
								to: <?php echo $plotBands[1]?>,
								color: '<?php
											$hex = "#".$color_schemes[$design2]['700'];
											list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
											echo "rgba($r,$g,$b,0.5)";
										?>',
								label: {
									useHTML: true,
									textAlign: 'center',
									text: "<?php
											if($firstWeekday==1){
												echo lang('saturdayAbbr','c');
											}
											else{
												echo lang('sundayAbbr','c');
											}
										?>"
								},
							},
							{
								from: <?php echo $plotBands[2]?>,
								to: <?php echo $plotBands[3]?>,
								color: '<?php
											$hex = "#".$color_schemes[$design2]['900'];
											list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
											echo "rgba($r,$g,$b,0.5)";
										?>',
								label: {
									useHTML: true,
									textAlign: 'center',
									text: "<?php
											if($firstWeekday==1){
												echo lang('sundayAbbr','c');
											}
											else{
												echo lang('saturdayAbbr','c');
											}
										?>"
								},
							}
						]
					},
					yAxis: {
						title: {
							text: '<?php echo lang('humidity','c')?>',
							format: '{value} <?php echo $displayPressUnits?>'
						},
						labels: {
							format: '{value} <?php echo $displayPressUnits?>'
						},
					},
					tooltip: {
						valueSuffix: ' <?php echo $displayPressUnits?>',
						shared: true
					},
					legend:{ enabled:false},
					series: [
						{
							name: '<?php echo lang('pressure','c')?>',
							color: '#fff',
							data: [
								<?php
									for($a=0;$a<count($Ps);$a++){
										if(isset($Ps[$a])){
											echo number_format($Ps[$a],3,".","").",";
										}
										else{
											echo "null,";
										}
									}
								?>
							]
						},

					]
				});
				$('#WGraph').highcharts({
					chart: {
						type: 'spline',
					},
					title: {
						text: '<?php echo lang('wind speed','c')?>',
					},
					xAxis: {
						categories: [
							<?php
								if($firstWeekday==1){
									for($i=0;$i<count($weekDaysMon);$i++){
										echo "'".$weekDaysMon[$i]."',";
									}
								}
								if($firstWeekday==0){
									for($i=0;$i<count($weekDaysSun);$i++){
										echo "'".$weekDaysSun[$i]."',";
									}
								}
							?>
						],
						title: {
							text: null
						},
						plotBands: [
							{
								from: <?php echo $plotBands[0]?>,
								to: <?php echo $plotBands[1]?>,
								color: '<?php
											$hex = "#".$color_schemes[$design2]['700'];
											list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
											echo "rgba($r,$g,$b,0.5)";
										?>',
								label: {
									useHTML: true,
									textAlign: 'center',
									text: "<?php
											if($firstWeekday==1){
												echo lang('saturdayAbbr','c');
											}
											else{
												echo lang('sundayAbbr','c');
											}
										?>"
								},
							},
							{
								from: <?php echo $plotBands[2]?>,
								to: <?php echo $plotBands[3]?>,
								color: '<?php
											$hex = "#".$color_schemes[$design2]['900'];
											list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
											echo "rgba($r,$g,$b,0.5)";
										?>',
								label: {
									useHTML: true,
									textAlign: 'center',
									text: "<?php
											if($firstWeekday==1){
												echo lang('sundayAbbr','c');
											}
											else{
												echo lang('saturdayAbbr','c');
											}
										?>"
								},
							}
						]
					},
					yAxis: {
						title: {
							text: '<?php echo lang('speed','c')?>',
							format: '{value} <?php echo $displayWindUnits?>'
						},
						labels: {
							format: '{value} <?php echo $displayWindUnits?>'
						},
					},
					tooltip: {
						valueSuffix: ' <?php echo $displayWindUnits?>',
						shared: true
					},
					legend:{
						enabled:true
					},
					series: [
						{
							name: '<?php echo lang('wind speed','c')?>',
							color: '#fff',
							data: [
								<?php
									for($a=0;$a<count($Ws);$a++){
										if(isset($Ws[$a])){
											echo number_format($Ws[$a],3,".","").",";
										}
										else{
											echo "null,";
										}
									}
								?>
							]
						},
						{
							name: '<?php echo lang('wind gust','c')?>',
							color: '#<?php echo $color_schemes[$design2]['100']?>',
							dashStyle: 'dash',
							data: [
								<?php
									for($a=0;$a<count($Gs);$a++){
										if(isset($Gs[$a])){
											echo number_format($Gs[$a],3,".","").",";
										}
										else{
											echo "null,";
										}
									}
								?>
							]
						},
					]
				});
				$('#DGraph').highcharts({
					chart: {
						type: 'spline',
					},
					title: {
						text: '<?php echo lang('dew point','c')?>',
					},
					xAxis: {
						categories: [
							<?php
								if($firstWeekday==1){
									for($i=0;$i<count($weekDaysMon);$i++){
										echo "'".$weekDaysMon[$i]."',";
									}
								}
								if($firstWeekday==0){
									for($i=0;$i<count($weekDaysSun);$i++){
										echo "'".$weekDaysSun[$i]."',";
									}
								}
							?>
						],
						title: {
							text: null
						},
						plotBands: [
							{
								from: <?php echo $plotBands[0]?>,
								to: <?php echo $plotBands[1]?>,
								color: '<?php
											$hex = "#".$color_schemes[$design2]['700'];
											list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
											echo "rgba($r,$g,$b,0.5)";
										?>',
								label: {
									useHTML: true,
									textAlign: 'center',
									text: "<?php
											if($firstWeekday==1){
												echo lang('saturdayAbbr','c');
											}
											else{
												echo lang('sundayAbbr','c');
											}
										?>"
								},
							},
							{
								from: <?php echo $plotBands[2]?>,
								to: <?php echo $plotBands[3]?>,
								color: '<?php
											$hex = "#".$color_schemes[$design2]['900'];
											list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
											echo "rgba($r,$g,$b,0.5)";
										?>',
								label: {
									useHTML: true,
									textAlign: 'center',
									text: "<?php
											if($firstWeekday==1){
												echo lang('sundayAbbr','c');
											}
											else{
												echo lang('saturdayAbbr','c');
											}
										?>"
								},
							}
						]
					},
					yAxis: {
						title: {
							text: '<?php echo lang('dew point','c')?>',
							format: '{value} <?php echo $displayTempUnits?>'
						},
						labels: {
							format: '{value} °<?php echo $displayTempUnits?>'
						},
					},
					tooltip: {
						valueSuffix: ' °<?php echo $displayTempUnits?>',
						shared: true
					},
					legend:{ enabled:false},
					series: [
						{
							name: '<?php echo lang('dew point','c')?>',
							color: '#fff',
							data: [
								<?php
									for($a=0;$a<count($Ds);$a++){
										if(isset($Ds[$a])){
											echo number_format($Ds[$a],3).",";
										}
										else{
											echo "null,";
										}
									}
								?>
							]
						}
					]
				});
				$('#RGraph').highcharts({
					chart: {
						type: 'column',
					},
					title: {
						text: '<?php echo lang('precipitation','c')?>',
					},
					xAxis: {
						categories: [
							<?php
								if($firstWeekday==1){
									for($i=0;$i<count($weekDaysMon);$i++){
										echo "'".$weekDaysMon[$i]."',";
									}
								}
								if($firstWeekday==0){
									for($i=0;$i<count($weekDaysSun);$i++){
										echo "'".$weekDaysSun[$i]."',";
									}
								}
							?>
						],
						title: {
							text: null
						},
						plotBands: [
							{
								from: <?php echo $plotBands[0]?>,
								to: <?php echo $plotBands[1]?>,
								color: '<?php
											$hex = "#".$color_schemes[$design2]['700'];
											list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
											echo "rgba($r,$g,$b,0.5)";
										?>',
								label: {
									useHTML: true,
									textAlign: 'center',
									text: "<?php
											if($firstWeekday==1){
												echo lang('saturdayAbbr','c');
											}
											else{
												echo lang('sundayAbbr','c');
											}
										?>"
								},
							},
							{
								from: <?php echo $plotBands[2]?>,
								to: <?php echo $plotBands[3]?>,
								color: '<?php
											$hex = "#".$color_schemes[$design2]['900'];
											list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
											echo "rgba($r,$g,$b,0.5)";
										?>',
								label: {
									useHTML: true,
									textAlign: 'center',
									text: "<?php
											if($firstWeekday==1){
												echo lang('sundayAbbr','c');
											}
											else{
												echo lang('saturdayAbbr','c');
											}
										?>"
								},
							}
						]
					},
					yAxis: {
						title: {
							text: '<?php echo lang('precipitation','c')?>',
							format: '{value} <?php echo $displayRainUnits?>'
						},
						labels: {
							format: '{value} <?php echo $displayRainUnits?>'
						},
					},
					tooltip: {
						valueSuffix: ' <?php echo $displayRainUnits?>',
						shared: true
					},
					legend:{ enabled:false},
					series: [
						{
							name: '<?php echo lang('precipitation','c')?>',
							color: '#fff',
							data: [
								<?php
									for($a=0;$a<count($Rs);$a++){
										if(isset($Rs[$a])){
											echo number_format($Rs[$a],3).",";
										}
										else{
											echo "null,";
										}
									}
								?>
							]
						}
					]
				});
				<?php
					if($solarSensor){
				?>
					$('#SGraph').highcharts({
						chart: {
							type: 'spline',
						},
						title: {
							text: '<?php echo lang('solar radiation','c')?>',
						},
						xAxis: {
							categories: [
								<?php
									if($firstWeekday==1){
										for($i=0;$i<count($weekDaysMon);$i++){
											echo "'".$weekDaysMon[$i]."',";
										}
									}
									if($firstWeekday==0){
										for($i=0;$i<count($weekDaysSun);$i++){
											echo "'".$weekDaysSun[$i]."',";
										}
									}
								?>
							],
							title: {
								text: null
							},
							plotBands: [
								{
									from: <?php echo $plotBands[0]?>,
									to: <?php echo $plotBands[1]?>,
									color: '<?php
												$hex = "#".$color_schemes[$design2]['700'];
												list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
												echo "rgba($r,$g,$b,0.5)";
											?>',
									label: {
										useHTML: true,
										textAlign: 'center',
										text: "<?php
												if($firstWeekday==1){
													echo lang('saturdayAbbr','c');
												}
												else{
													echo lang('sundayAbbr','c');
												}
											?>"
									},
								},
								{
									from: <?php echo $plotBands[2]?>,
									to: <?php echo $plotBands[3]?>,
									color: '<?php
												$hex = "#".$color_schemes[$design2]['900'];
												list($r, $g, $b) = sscanf($hex, "#%02x%02x%02x");
												echo "rgba($r,$g,$b,0.5)";
											?>',
									label: {
										useHTML: true,
										textAlign: 'center',
										text: "<?php
												if($firstWeekday==1){
													echo lang('sundayAbbr','c');
												}
												else{
													echo lang('saturdayAbbr','c');
												}
											?>"
									},
								}
							]
						},
						yAxis: {
							title: {
								text: '<?php echo lang('solar radiation','c')?>',
								format: '{value} W/m2'
							},
							labels: {
								format: '{value} W/m2'
							},
						},
						tooltip: {
							valueSuffix: ' W/m2',
							shared: true
						},
						legend:{ enabled:false},
						series: [
							{
								name: '<?php echo lang('solar radiation','c')?>',
								color: '#fff',
								data: [
									<?php
										for($a=0;$a<count($Ss);$a++){
											if(isset($Ss[$a])){
												echo number_format($Ss[$a],3).",";
											}
											else{
												echo "null,";
											}
										}
									?>
								]
							}
						]
					});
				<?php
					}
				?>
			});
		</script>
	</body>
</html>
